
class Network

  def self.find_port(port_base)
      (port_base..65535).each do |port|
        return port if self.port_available?(port)
      end
      raise "No port available"
    end

  def self.port_available?(port)
      sock = Socket.new(Socket::Family::INET, Socket::Type::STREAM)
      sock.bind(Socket::IPAddress.new("0.0.0.0", port))
      sock.close
      return true
    rescue ex : Socket::BindError
      return false
    end
end
